Property Class Referenceabstract

Property base class. More...

`#include <property.h>`

Inheritance diagram for Property:

## Public Member Functions

| Property (const char *newKey, bool readOnly)
virtual const char * | GetKey (void) const
virtual void | SetKey (const char *newKey)
virtual void | GetValueToMessage (void *data) const =0
virtual void | SetValueFromMessage (const void *data)=0
virtual const bool | KeyIsEqual (const char *rhs)
virtual bool | ReadConfig (ConfigFile *cf, int section)=0

## Protected Attributes

char * | key
bool | readonly

## Detailed Description

Property base class.

The documentation for this class was generated from the following file:

- property.h

Last updated 12 September 2005 21:38:45